Page MenuHomePhabricator

Hacking: Wiki tools that use revision quality scoring
Closed, ResolvedPublic

Description

We'll be developing tools that take advantage of the revision scoring service to help editors revert vandalism and identify good newcomers in need of support.

Test out the scoring service: http://ores-test.wmflabs.org/scores/enwiki/?models=reverted&revids=638307884|642215410

See https://meta.wikimedia.org/wiki/Research:Revision_scoring_as_a_service for a description of the service. See also https://www.youtube.com/watch?v=53bG9mYMYE8#t=11m30s for a recent presentation on the scoring system.

See the ethepad for participants, project plans and meeting schedule: http://etherpad.wikimedia.org/p/revscoring_hackathon

Event Timeline

Halfak created this task.Feb 20 2015, 12:20 AM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak moved this task to Hacking proposals on the Wikimedia-Hackathon-2015 board.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 12:20 AM
Qgil triaged this task as Low priority.Feb 20 2015, 2:36 PM
Qgil added a subscriber: Qgil.
Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Halfak renamed this task from Wiki tools that use revision scoring to Hacking: Wiki tools that use revision quality scoring.May 23 2015, 7:16 AM
Halfak set Security to None.
Halfak updated the task description. (Show Details)May 23 2015, 7:25 AM
Halfak updated the task description. (Show Details)May 23 2015, 10:41 PM
He7d3r added a subscriber: He7d3r.May 23 2015, 10:41 PM
He7d3r added a comment.EditedMay 23 2015, 10:51 PM

Some ideas for using the scores:

Qgil added a comment.EditedJun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward.

  • If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start.
  • If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project.
  • If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer).
  • Keeping the description, priority and assigned fields up to date always helps. :)

For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Here is a basic proposal for adding scores to Real-Time Recent Changes:
https://github.com/Krinkle/mw-gadget-rtrc/pull/43

Qgil added a comment.Jun 27 2015, 2:33 PM

It is unclear what are the requirements to be met to resolve this task, and whether there is any goal or plan to work on them.

@Qgil, I'm not sure what you are looking for here. This task represents a meeting we had at the Wikimedia Hackathon. We made a phab task for it per your request.

If you would like to know the goals of the project, see https://meta.wikimedia.org/wiki/Research:Revision_scoring_as_a_service.

I think it might be a problem when we conflate a general collection of projects at a hackathon with a "task".

If we're to think of this "task" as having the hack session, then it should be marked "resolved".

If we're to think of this "task" as related to the construction and maintenance of revscoring tools -- then I don't think it'll ever be done.

Qgil closed this task as Resolved.Jun 27 2015, 8:29 PM
Qgil claimed this task.

Thank you for the explanation. I'm just trying to help avoiding that tasks get in a limbo. It must be possible to consider a task done, so let's go for the definition of the hack session.